Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg.sig
Class Revocable

    java.lang.Object
      org.bouncycastle.bcpg.SignatureSubpacket
          org.bouncycastle.bcpg.sig.Revocable

    public class Revocable

extends SignatureSubpacket

packet giving whether or not is revocable.

Field Summary

Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`data`

Constructor Summary
`Revocable(boolean critical, boolean isRevocable)`
`Revocable(boolean critical, byte[] data)`

Method Summary
`boolean` `isRevocable()`

Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`encode, getData, getType, isCritical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Revocable

    public Revocable(boolean critical,
                     byte[] data)

### Revocable

    public Revocable(boolean critical,
                     boolean isRevocable)

Method Detail

### isRevocable

    public boolean isRevocable()

Bouncy Castle Cryptography Library 1.45